This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 57717 - Can't allocate tun device when making a connection with vtund.
Can't allocate tun device when making a connection with vtund.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-19 22:07 EST by Kari A. Massarene
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kari A. Massarene 2001-12-19 22:07:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.74 [en]C-NSCPCD  (Win98; U)

Description of problem:
After upgrading from Redhat 7.1 to Redhat 7.2, the vtund daemon is no longer able to allocate the tun device when attempting to make a 
VPN connection. The following error is logged "Can't allocate tun device. File descriptor in bad state(77)." The device, /dev/net/tun, was 
created with "mknod -m 600 /dev/net/tun c 10 200".

Version-Release number of selected component (if applicable):
kernel 2.4.7-10


How reproducible:
Always

Steps to Reproduce:
1. Started vtund in daemon mode on another computer with Redhat 7.1 installed (2.4.2-7 kernel).
2. Started vtund client on the Redhat 7.2 computer.
3.
	

Actual Results:  The client exited, the following was logged in /var/log/messages:
Dec 19 18:33:04 antares vtund[1346]: VTun client ver 2.4 01/22/2001 started
Dec 19 18:33:04 antares vtund[1346]: Connecting to sirus.integrits.com
Dec 19 18:33:04 antares vtund[1346]: Session hornet[sirus.integrits.com] opened
Dec 19 18:33:04 antares vtund[1346]: Can't allocate tun device. File descriptor in bad state(77)
Dec 19 18:33:04 antares vtund[1346]: Session hornet[sirus.integrits.com] closed
Dec 19 18:33:04 antares vtund[1346]: Exit

Expected Results:  The client process should have made a VPN connection. The following is taken from /var/log/messages while Redhat 
7.1 was still installed.  
Dec 19 13:23:23 antares vtund[1117]: VTun client ver 2.4 01/22/2001 started
Dec 19 13:23:23 antares vtund[1117]: Connecting to sirus.integrits.com
Dec 19 13:23:23 antares vtund[1117]: Session hornet[sirus.integrits.com] opened
Dec 19 13:23:23 antares vtund[1117]: UDP connection initialized
Dec 19 13:23:23 antares vtund[1117]: LZO compression[level 1] initialized
Dec 19 13:23:23 antares vtund[1117]: BlowFish encryption initialized

Additional info:

The computer is an E-Machine Pentium 166 with two PCI NICs. One is an SMC 1255 series using the tulip driver and other is a generic 
NE-2000 clone using the ne2k-pci driver. It has 48 Mb of RAM, a 20 Gb hard disk an an ATAPI CDROM. The connection was being 
attempted using the NE-2000 clone NIC.
Comment 1 Kari A. Massarene 2001-12-31 19:41:27 EST
Problem does not occur with kernel version 2.4.5 and below.
Comment 2 Bugzilla owner 2004-09-30 11:39:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.